The UNIX and Linux Forums

The UNIX and Linux Forums (http://www.unix.com/index.php)
-   AIX (http://www.unix.com/aix/)
-   -   Trying to install Java 5 (http://www.unix.com/aix/36624-trying-install-java-5-a.html)

Kirath 03-28-2007 09:38 AM

Trying to install Java 5
 
I am not an AIX admin, but the guy that usually is has left and I am now the default person to do this stuff (scary for them). I am trying to install Java 5 on AIX 5.3, and am getting

MISSING REQUISITES: The following filesets are required by one or more
of the selected filesets listed above. They are not currently installed
and could not be found on the installation media.

bos.mp 5.3.0.30 # Fileset Update
bos.mp64 5.3.0.30 # Fileset Update
bos.net.tcp.client 5.3.0.30 # Fileset Update
bos.rte 5.3.0.30 # Fileset Update
bos.rte.libc 5.3.0.30 # Fileset Update

The versions installed from the AIX cds are 5.3.0.10. How do I go about updating these base files? Thanks in advance...

karthikosu 03-28-2007 05:26 PM

hi
 
u can search for the filesets in
http://www-912.ibm.com/eserver/suppo...rch?release=53
download the filesets and install it

k

Kirath 03-28-2007 06:40 PM

thanks
 
Thanks! I had been pulling my hair out trying to figure out which links I needed to follow on IBM's site. Not a particularly user friendly site...

TsanChung 09-08-2008 06:57 PM

I keep downloading Fileset Update from AIX website.
One fileset require (depend on) another fileset.
Is there a better way to install jdk 1.6 on aix 5.3?



The first three filesets require the following filesets:
bos.64bit 5.3.0.30 # Fileset Update
bos.acct 5.3.0.30 # Fileset Update
bos.adt.include 5.3.0.30 # Fileset Update
bos.adt.prof 5.3.0.30 # Fileset Update
bos.adt.syscalls 5.3.0.30 # Fileset Update
bos.perf.libperfstat 5.3.0.30 # Fileset Update
bos.perf.perfstat 5.3.0.30 # Fileset Update
bos.perf.tune 5.3.0.30 # Fileset Update
bos.pmapi.lib 5.3.0.30 # Fileset Update
bos.pmapi.pmsvcs 5.3.0.30 # Fileset Update
bos.rte.bind_cmds 5.3.0.30 # Fileset Update
bos.rte.filesystem 5.3.0.30 # Fileset Update
bos.rte.libc 5.3.0.30 # Fileset Update
bos.rte.serv_aid 5.3.0.30 # Fileset Update
bos.rte.shell 5.3.0.30 # Fileset Update
perfagent.tools 5.3.0.30 # Fileset Update
bos.rte.libc 5.3.0.30 # Fileset Update

bakunin 09-14-2008 05:46 PM

All the filesets you mention are pretty old: "....0.30" indicates that these are from "maintenance/technical level" 3 (see http://www.unix.com/aix/75964-aix-5-... for an explanation what the term maintenance [or technical] level means). Probably your machine needs some software update anyway?

If so, you find a detailed explanation about how to determine the maintenance level in the pinned Thread at the top of this forum ("AIX bits and pieces"). Please report back your exact OS level.

I hope this helps.

bakunin

ravager 09-15-2008 04:57 AM

It also depends on what you are tryin got install

if you just want the java you do not need all the java development stuff
some time when you select this more filessets are required to go with this.

List the files here and I will let you know what you need.

Geting files upgrades and filesets are now made easy using SUMA
try smitty suma for the config of this


All times are GMT -4. The time now is 10:52 PM.

Linux and Unix Supported by: vBulletin
Search Engine Optimisation provided by DragonByte SEO v1.1.4 (Pro) - vBulletin Mods & Addons Copyright © 2014 DragonByte Technologies Ltd.
The UNIX and Linux Forums Content Copyright ©1993-2013. All Rights Reserved.
Forum Operations by The UNIX and Linux Forums